<div class="animated fadeIn m-1" style="width: fit-content;" *ngIf="!loading && punto && punto.cImagen">
    <div class="example-boundary" style="overflow: auto;"
        [ngStyle]="{'width.px': punto.cImagen[1], 'height.px': punto.cImagen[2], 'background': 'url(assets/images/' + punto.cImagen[0] + ')'}">
        <div class="example-box" *ngFor="let item of dataGrid;" (click)="btnMesaSel(item);"
            (dblclick)="nuevoCheque(item);"
            [ngClass]="{ 'bg-secondary': item.cMesa === mesaSelected, 'bg-success': item.cErrDesc === 'A', 'bg-warning': item.cErrDesc === 'I' }"
            [ngStyle]="{'left.px': item.cCoordenada[0], 'top.px': item.cCoordenada[1], 'width.px': item.cCoordenada[2], 
                            'height.px': item.cCoordenada[3], 'visibility': !item.Inactivo ? 'visible' : 'hidden' }"
            [matTooltip]="item.cMdesc">

            <div>
                <h6 class="font-weight-bold">{{ item.cMesa }}</h6>
                <small *ngIf="dsCheques.length">
                    <i class="fas fa-user"></i> {{ item.iOldMesa }}</small>
                <!-- <small class="col" *ngIf="!dsCheques.length">
                            <i class="fas fa-users mr-1"></i>{{ item.iMcap }}
                        </small> -->
                <small class="ml-1" *ngIf="item.cheqtotal">
                    <i class="fas fa-ticket-alt"></i> {{ item.cheqtotal }}
                </small>
            </div>
        </div>
    </div>
</div>

<app-loading *ngIf="loading">Cargando plano de mesas...</app-loading>